| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
CaptureFilterCompleter Class Reference

FilterCompleter for libpcap capture filters. More...

`#include <capture_filter_completer.h>`

Inheritance diagram for CaptureFilterCompleter:

## Public Member Functions
| CaptureFilterCompleter (QObject *parent=nullptr)
QStringListModel * | primitivesModel () const
| A model over the fixed libpcap primitive list, owned by this completer. The host adds it as a source of the merged completion model alongside history and bookmarks.
Public Member Functions inherited from FilterCompleter
| FilterCompleter (QObject *parent=nullptr)
void | setTokenChars (const QString &token_chars)
| Sets the characters considered part of a single completion token.
const QString & | tokenChars () const
| Returns the configured token characters.
QStringList | splitPath (const QString &path) const override
| Splits `path` into the prefix QCompleter should match against.
QString | pathFromIndex (const QModelIndex &index) const override
| Maps a chosen completion row back to the text to insert.

## Static Public Member Functions
static QStringList | primitives ()
| The fixed list of libpcap filter primitives.

## Additional Inherited Members
Protected Member Functions inherited from FilterCompleter
bool | eventFilter (QObject *watched, QEvent *event) override
| Constrains the popup to its content width on show/resize.
Protected Attributes inherited from FilterCompleter
QString | token_chars_

## Detailed Description

FilterCompleter for libpcap capture filters.

Sets the libpcap primitive token-character set and supplies the fixed list of pcap-filter primitives as a completion source. libpcap has a small, closed set of primitives, so the whole list is offered (the host merges it with recent + saved filters via QConcatenateTablesProxyModel for the full typeahead source).

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/models/capture_filter_completer.h
- /builds/wireshark/wireshark/ui/qt/models/capture_filter_completer.cpp